Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Identity and Access Management
  • Secure use of Yandex Cloud
  • Access management
  • Pricing policy
  • Role reference
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Create
        • CreateForServiceAccount
        • Revoke
  • Monitoring metrics
  • Audit Trails events
  • Release notes

In this article:

  • HTTP request
  • Body parameters
  • Response
  1. API reference
  2. REST
  3. IamToken
  4. Create

Identity and Access Management API, REST: IamToken.Create

Written by
Yandex Cloud
Updated at May 27, 2026
  • HTTP request
  • Body parameters
  • Response

Create an IAM token for the specified identity.

HTTP requestHTTP request

POST https://iam.api.cloud.yandex.net/iam/v1/tokens

Body parametersBody parameters

{
  // Includes only one of the fields `yandexPassportOauthToken`, `jwt`
  "yandexPassportOauthToken": "string",
  "jwt": "string"
  // end of the list of possible fields
}

Field

Description

yandexPassportOauthToken

string

OAuth token for a Yandex account.
For more information, see OAuth token.

The maximum string length in characters is 4000.

Includes only one of the fields yandexPassportOauthToken, jwt.

jwt

string

JSON Web Token (JWT) for a service account.
For more information, see Get IAM token for a service account.

The maximum string length in characters is 8000.

Includes only one of the fields yandexPassportOauthToken, jwt.

ResponseResponse

HTTP Code: 200 - OK

{
  "iamToken": "string",
  "expiresAt": "string"
}

Field

Description

iamToken

string

IAM token for the specified identity.
You should pass the token in the Authorization header for any further API requests.
For example, Authorization: Bearer iamToken``.

expiresAt

string (date-time)

IAM token expiration time.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

Was the article helpful?

Previous
Overview
Next
CreateForServiceAccount
© 2026 Direct Cursus Technology L.L.C.